package jvm_error;

import org.eclipse.swt.SWT;
import org.eclipse.swt.dnd.DND;
import org.eclipse.swt.dnd.DragSource;
import org.eclipse.swt.dnd.Transfer;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.ui.part.ViewPart;

public class View extends ViewPart {

	private static final int SUPPORTED_DND_OPERATIONS = DND.DROP_MOVE;

	public static final String ID = "JVM_Error.view"; //$NON-NLS-1$

	private Control control;

	@Override
	public void createPartControl(Composite parent) {
		parent.setLayout(new GridLayout());

		this.control = new Composite(parent, SWT.BORDER);
		this.control.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));

		DragSource source = new DragSource(this.control, SUPPORTED_DND_OPERATIONS);
		source.setTransfer(new Transfer[] { LocalObjectTransfer.getInstance() });
	}

	@Override
	public void setFocus() {
		this.control.setFocus();
	}

}